Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:39 2009

## Asterisk developer's documentation

# iax2_peer Struct Reference

Collaboration diagram for iax2_peer:

[legend]

## Data Fields

struct sockaddr_in | addr
int | authmethods
int | callno
enum calltoken_peer_enum | calltoken_required
int | capability
char | cid_name [AST_MAX_EXTENSION]
char | cid_num [AST_MAX_EXTENSION]
char | context [AST_MAX_CONTEXT]
char | dbsecret [80]
struct sockaddr_in | defaddr
struct ast_dnsmgr_entry * | dnsmgr
int | encmethods
int | expire
int | expiry
unsigned int | flags
int | formats
struct ast_ha * | ha
int | historicms
char | inkeys [80]
int | lastms
char | mailbox [AST_MAX_EXTENSION]
struct in_addr | mask
uint16_t | maxcallno
int | maxms
char | name [80]
struct iax2_peer * | next
char | outkey [80]
char | peercontext [AST_MAX_EXTENSION]
int | pokeexpire
int | pokefreqnotok
int | pokefreqok
struct ast_codec_pref | prefs
char | regexten [AST_MAX_EXTENSION]
char | secret [80]
int | smoothing
int | sockfd
char | username [80]
char | zonetag [80]

## Detailed Description

Definition at line 323 of file chan_iax2.c.

## Field Documentation

struct sockaddr_in addr`[read]`

Definition at line 335 of file chan_iax2.c.

Referenced by __iax2_show_peers(), authenticate_reply(), build_peer(), create_addr(), expire_registry(), function_iaxpeer(), iax2_devicestate(), iax2_getpeername(), iax2_getpeertrunk(), iax2_poke_peer(), iax2_show_peer(), realtime_peer(), reg_source_db(), and update_registry().

int authmethods

Authentication methods (IAX_AUTH_*)

Definition at line 343 of file chan_iax2.c.

Referenced by authenticate_reply(), build_peer(), register_verify(), and registry_authrequest().

int callno

Call number of POKE request

Definition at line 357 of file chan_iax2.c.

Referenced by auto_congest(), destroy_peer(), function_iaxpeer(), iax2_poke_noanswer(), iax2_poke_peer(), and socket_read().

enum calltoken_peer_enum calltoken_required

Is calltoken validation required or not, can be YES, NO, or AUTO

Definition at line 369 of file chan_iax2.c.

Referenced by build_peer(), calltoken_required(), iax2_show_peer(), and requirecalltoken_mark_auto().

int capability

Capability

Definition at line 353 of file chan_iax2.c.

Referenced by build_peer(), create_addr(), function_iaxpeer(), and iax2_show_peer().

char cid_name[AST_MAX_EXTENSION]

Definition at line 349 of file chan_iax2.c.

Referenced by build_peer(), function_iaxpeer(), and iax2_show_peer().

char cid_num[AST_MAX_EXTENSION]

Definition at line 348 of file chan_iax2.c.

Referenced by build_peer(), function_iaxpeer(), and iax2_show_peer().

char context[AST_MAX_CONTEXT]

For transfers only

Definition at line 329 of file chan_iax2.c.

Referenced by build_peer(), create_addr(), function_iaxpeer(), and iax2_show_peer().

char dbsecret[80]

Definition at line 327 of file chan_iax2.c.

Referenced by build_peer(), and create_addr().

struct sockaddr_in defaddr`[read]`

Default address if there is one

Definition at line 342 of file chan_iax2.c.

Referenced by build_peer(), create_addr(), iax2_devicestate(), and iax2_show_peer().

struct ast_dnsmgr_entry* dnsmgr`[read]`

DNS refresh manager

Definition at line 334 of file chan_iax2.c.

Referenced by build_peer(), and destroy_peer().

int encmethods

Encryption methods (IAX_ENCRYPT_*)

Definition at line 344 of file chan_iax2.c.

Referenced by __iax2_show_peers(), build_peer(), and create_addr().

int expire

Schedule entry for expiry

Definition at line 351 of file chan_iax2.c.

Referenced by build_peer(), destroy_peer(), expire_registry(), function_iaxpeer(), iax2_show_peer(), realtime_peer(), reg_source_db(), and update_registry().

int expiry

How soon to expire

Definition at line 352 of file chan_iax2.c.

Referenced by build_peer(), expire_registry(), reg_source_db(), and update_registry().

unsigned int flags

Definition at line 339 of file chan_iax2.c.

int formats

Definition at line 336 of file chan_iax2.c.

struct ast_ha* ha`[read]`

Definition at line 368 of file chan_iax2.c.

Referenced by build_peer(), destroy_peer(), iax2_show_peer(), and register_verify().

int historicms

How long recent average responses took

Definition at line 364 of file chan_iax2.c.

Referenced by iax2_devicestate(), iax2_poke_peer(), and socket_read().

char inkeys[80]

Key(s) this peer can use to authenticate to us

Definition at line 345 of file chan_iax2.c.

Referenced by build_peer(), and register_verify().

int lastms

How long last response took (in ms), or -1 for no response

Definition at line 359 of file chan_iax2.c.

Referenced by create_addr(), iax2_devicestate(), iax2_poke_noanswer(), iax2_poke_peer(), peer_status(), and socket_read().

char mailbox[AST_MAX_EXTENSION]

Mailbox

Definition at line 332 of file chan_iax2.c.

Referenced by build_peer(), function_iaxpeer(), and iax2_show_peer().

struct in_addr mask`[read]`

Definition at line 338 of file chan_iax2.c.

Referenced by __iax2_show_peers(), authenticate_reply(), and build_peer().

uint16_t maxcallno

Max call number limit for this peer. Set on registration

Definition at line 366 of file chan_iax2.c.

Referenced by build_peer(), iax2_show_peer(), and update_registry().

int maxms

Max ms we will accept for the host to be up, 0 to not monitor

Definition at line 360 of file chan_iax2.c.

Referenced by build_peer(), create_addr(), iax2_devicestate(), iax2_poke_peer(), peer_status(), and socket_read().

char name[80]

Definition at line 324 of file chan_iax2.c.

Referenced by __iax2_show_peers(), authenticate_reply(), build_peer(), complete_iax2_show_peer(), expire_registry(), find_peer(), iax2_getpeername(), iax2_poke_noanswer(), iax2_poke_peer(), iax2_show_peer(), peer_set_srcaddr(), realtime_peer(), reg_source_db(), register_peer_exten(), register_verify(), socket_read(), and update_registry().

struct iax2_peer* next`[read]`

Definition at line 370 of file chan_iax2.c.

Referenced by __iax2_show_peers(), authenticate_reply(), build_peer(), complete_iax2_show_peer(), delete_users(), find_peer(), iax2_getpeername(), iax2_getpeertrunk(), load_module(), realtime_peer(), and set_config().

char outkey[80]

What key we use to talk to this peer

Definition at line 328 of file chan_iax2.c.

Referenced by authenticate_reply(), build_peer(), and create_addr().

char peercontext[AST_MAX_EXTENSION]

Context to pass to peer

Definition at line 331 of file chan_iax2.c.

Referenced by build_peer(), and create_addr().

int pokeexpire

When to expire poke

Definition at line 358 of file chan_iax2.c.

Referenced by build_peer(), destroy_peer(), iax2_poke_noanswer(), iax2_poke_peer(), iax2_poke_peer_s(), and socket_read().

int pokefreqnotok

How often to check when the host has been determined to be down

Definition at line 363 of file chan_iax2.c.

Referenced by build_peer(), iax2_poke_noanswer(), iax2_poke_peer(), iax2_show_peer(), and socket_read().

int pokefreqok

How often to check if the host is up

Definition at line 362 of file chan_iax2.c.

Referenced by build_peer(), iax2_show_peer(), and socket_read().

struct ast_codec_pref prefs`[read]`

Definition at line 333 of file chan_iax2.c.

Referenced by build_peer(), create_addr(), function_iaxpeer(), and iax2_show_peer().

char regexten[AST_MAX_EXTENSION]

Extension to register (if regcontext is used)

Definition at line 330 of file chan_iax2.c.

Referenced by build_peer(), and register_peer_exten().

char secret[80]

Definition at line 326 of file chan_iax2.c.

Referenced by authenticate_reply(), build_peer(), create_addr(), iax2_show_peer(), and register_verify().

int smoothing

Sample over how many units to determine historic ms

Definition at line 365 of file chan_iax2.c.

Referenced by build_peer(), iax2_show_peer(), and socket_read().

int sockfd

Socket to use for transmission

Definition at line 337 of file chan_iax2.c.

Referenced by build_peer(), create_addr(), iax2_poke_peer(), load_module(), peer_set_srcaddr(), and update_registry().

char username[80]

Definition at line 325 of file chan_iax2.c.

Referenced by __iax2_show_peers(), authenticate_reply(), build_peer(), create_addr(), and iax2_show_peer().

char zonetag[80]

Time Zone

Definition at line 354 of file chan_iax2.c.

Referenced by build_peer(), and create_addr().

The documentation for this struct was generated from the following file:

- chan_iax2.c